@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.applications.getLatestScore({
jobId: "job_abc123",
applicationId: "app_xyz789",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/applications/app_xyz789/score" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"scoringJob": {
"id": "<string>",
"criteriaVersionId": "<string>",
"jobId": "<string>",
"applicationId": "<string>",
"status": "pending",
"isRescore": true,
"score": 123,
"assessment": {
"verdict": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"interviewFocus": [
"<string>"
]
},
"errorCode": "UNAUTHORIZED",
"errorMessage": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}API endpoints
Get Score by Application
Retrieve the latest scoring result for an application by job and application ID
GET
/
v1
/
jobs
/
{jobId}
/
applications
/
{applicationId}
/
score
@nova-sdk/api
import { Nova } from "@nova-sdk/api";
const nova = new Nova({
apiKey: "sk_test_...",
tenantId: "acme-corp",
});
const result = await nova.jobs.applications.getLatestScore({
jobId: "job_abc123",
applicationId: "app_xyz789",
});curl -X GET "https://embed.nova.dweet.com/v1/jobs/job_abc123/applications/app_xyz789/score" \
-H "Authorization: Bearer sk_test_..." \
-H "X-Tenant-Id: acme-corp"{
"scoringJob": {
"id": "<string>",
"criteriaVersionId": "<string>",
"jobId": "<string>",
"applicationId": "<string>",
"status": "pending",
"isRescore": true,
"score": 123,
"assessment": {
"verdict": "<string>",
"strengths": [
"<string>"
],
"concerns": [
"<string>"
],
"interviewFocus": [
"<string>"
]
},
"errorCode": "UNAUTHORIZED",
"errorMessage": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z"
}
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"code": "UNAUTHORIZED",
"status": 123,
"message": "<string>",
"retryable": true,
"traceId": "<string>",
"details": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Returns the most recent scoring job for an application. No need to store Nova’s
Returns
scoringJobId.
If you have the
scoringJobId, use Get Scoring Job for a direct lookup.404 with APPLICATION_NOT_FOUND if no scoring job exists for the application.
If a previous scoring submission was rejected during resume intake, for example with RESUME_CORRUPTED, no scoring job was created. Submit the corrected resume again before polling this endpoint.Authorizations
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Headers
Your customer identifier. Tenants are auto-provisioned on first request.
Path Parameters
Your job identifier (external ID).
Your application identifier (external ID).
Response
Latest scoring job for this application
Show child attributes
Show child attributes
Was this page helpful?